kernel: have kmod-ipsec depend on kmod-crypto-echainiv
authorStijn Tintel <stijn@linux-ipv6.be>
Thu, 17 Nov 2016 14:33:20 +0000 (15:33 +0100)
committerStijn Tintel <stijn@linux-ipv6.be>
Tue, 29 Nov 2016 11:19:22 +0000 (12:19 +0100)
The ESP algorithms in CBC mode require echainiv, so have kmod-ipsec
depend on kmod-crypto-echainiv.

See upstream commit 32b6170ca59ccf07d0e394561e54b2cd9726038c.

Signed-off-by: Stijn Tintel <stijn@linux-ipv6.be>
package/kernel/linux/modules/netsupport.mk

index 587229d..ef5c5ba 100644 (file)
@@ -292,7 +292,10 @@ IPSEC-m:= \
 define KernelPackage/ipsec
   SUBMENU:=$(NETWORK_SUPPORT_MENU)
   TITLE:=IPsec related modules (IPv4 and IPv6)
-  DEPENDS:=+kmod-crypto-authenc +kmod-crypto-iv +kmod-crypto-des +kmod-crypto-hmac +kmod-crypto-md5 +kmod-crypto-sha1 +kmod-crypto-deflate +kmod-crypto-cbc
+  DEPENDS:= \
+       +kmod-crypto-authenc +kmod-crypto-cbc +kmod-crypto-deflate \
+       +kmod-crypto-des +kmod-crypto-echainiv +kmod-crypto-hmac \
+       +kmod-crypto-iv +kmod-crypto-md5 +kmod-crypto-sha1
   KCONFIG:= \
        CONFIG_NET_KEY \
        CONFIG_XFRM_USER \